package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("rongyun_room_member")
public class RongyunRoomMember extends Model<RongyunRoomMember> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * room id
     */
    private String rid;
    /**
     * user id
     */
    private String uid;
    @TableField("join_dt")
    private Date joinDt;
    private Integer role;
    private String name;
    private Integer camera;
    private Integer mic;


    public Integer getId() {
        return id;
    }

    public RongyunRoomMember setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getRid() {
        return rid;
    }

    public RongyunRoomMember setRid(String rid) {
        this.rid = rid;
        return this;
    }

    public String getUid() {
        return uid;
    }

    public RongyunRoomMember setUid(String uid) {
        this.uid = uid;
        return this;
    }

    public Date getJoinDt() {
        return joinDt;
    }

    public RongyunRoomMember setJoinDt(Date joinDt) {
        this.joinDt = joinDt;
        return this;
    }

    public Integer getRole() {
        return role;
    }

    public RongyunRoomMember setRole(Integer role) {
        this.role = role;
        return this;
    }

    public String getName() {
        return name;
    }

    public RongyunRoomMember setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getCamera() {
        return camera;
    }

    public RongyunRoomMember setCamera(Integer camera) {
        this.camera = camera;
        return this;
    }

    public Integer getMic() {
        return mic;
    }

    public RongyunRoomMember setMic(Integer mic) {
        this.mic = mic;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "RongyunRoomMember{" +
        ", id=" + id +
        ", rid=" + rid +
        ", uid=" + uid +
        ", joinDt=" + joinDt +
        ", role=" + role +
        ", name=" + name +
        ", camera=" + camera +
        ", mic=" + mic +
        "}";
    }
}
